Bug 967637 - ga_IE.aff is empty but ga_IE.dic contains affix rules
ga_IE.aff is empty but ga_IE.dic contains affix rules
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hunspell-ga (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-27 13:54 EDT by Mike FABIAN
Modified: 2013-06-05 22:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: hunspell-ga-4.6-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-05 22:24:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike FABIAN 2013-05-27 13:54:38 EDT
[mfabian@Fedora-19-Beta-RC4-x86_64-netins myspell]$ ls -l ga_IE.*
-rw-r--r--. 1 root root       0  2月 15 09:39 ga_IE.aff
-rw-r--r--. 1 root root 1197549  2月 15 09:39 ga_IE.dic
[mfabian@Fedora-19-Beta-RC4-x86_64-netins myspell]$ head ga_IE.dic 
97580
a
AAI
ab/HMDBUT
aba/HMDU
abacais/HMDBU
abacas/HMDBUT
abacht/HMDBU
abachta/HMDU
abair/HMDBU
[mfabian@Fedora-19-Beta-RC4-x86_64-netins myspell]$
Comment 1 Fedora Update System 2013-05-27 15:16:49 EDT
hunspell-ga-4.6-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hunspell-ga-4.6-5.fc19
Comment 2 Fedora Update System 2013-05-27 15:17:43 EDT
hunspell-ga-4.6-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hunspell-ga-4.6-5.fc18
Comment 3 Mike FABIAN 2013-05-28 02:07:52 EDT
After that update, the file is not empty anymore, but the 
encoding of the ga_IE.aff file is broken:

mfabian@ari:/usr/share/myspell
$ file ga_IE.aff 
ga_IE.aff: Non-ISO extended-ASCII text
mfabian@ari:/usr/share/myspell
$ 

It contains lines like:

PFX S   s     sh          s[aeiouãã‰ãã“ãšlnr]

Which should be:

PFX S   s     sh          s[aeiouáéíóúlnr]
Comment 4 Mike FABIAN 2013-05-28 02:09:58 EDT
The conversion tool ispellaff2myspell used in hunspell-ga.spec
apparently needs iso-8859-1 input but the input file gaeilge.aff is
UTF-8 encoded.

Fix:

mfabian@ari:~/rpmsources/fedora/hunspell-ga (master *)
$ git diff 
diff --git a/hunspell-ga.spec b/hunspell-ga.spec
index 2a65877..979b5d9 100644
--- a/hunspell-ga.spec
+++ b/hunspell-ga.spec
@@ -26,7 +26,8 @@ Irish hunspell dictionaries.
 make
 cat %{SOURCE1} %{SOURCE2} > header
 export LANG=en_IE.UTF-8
-ispellaff2myspell gaeilge.aff --myheader header | sed -e "s/\"\"/0/g" | sed -e "s/\"//g" > ga_IE.aff
+iconv -f utf-8 -t iso-8859-1 < gaeilge.aff > gaeilge.aff.iso-8859-1
+ispellaff2myspell gaeilge.aff.iso-8859-1 --myheader header | sed -e "s/\"\"/0/g" | sed -e "s/\"//g" > ga_IE.aff
 
 %install
 rm -rf $RPM_BUILD_ROOT
Comment 5 Fedora Update System 2013-05-28 05:18:46 EDT
hunspell-ga-4.6-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hunspell-ga-4.6-6.fc19
Comment 6 Fedora Update System 2013-05-28 05:19:42 EDT
hunspell-ga-4.6-6.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/hunspell-ga-4.6-6.fc18
Comment 7 Caolan McNamara 2013-05-28 05:46:26 EDT
k, that should do it then
Comment 8 Fedora Update System 2013-05-28 12:17:24 EDT
Package hunspell-ga-4.6-5.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hunspell-ga-4.6-5.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9472/hunspell-ga-4.6-5.fc19
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2013-05-28 12:17:31 EDT
Package hunspell-ga-4.6-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hunspell-ga-4.6-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9473/hunspell-ga-4.6-6.fc19
then log in and leave karma (feedback).
Comment 10 Fedora Update System 2013-06-05 22:24:44 EDT
hunspell-ga-4.6-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.